// MASTHEAD MENUS CONTENT VARIABLES - v.1.1
// COPYRIGHT SUN MICROSYSTEMS INC.
// QUESTIONS? webdesign -at- sun.com

// DEVELOPERS.SUN.COM link set v2.2

// translation for See All link at the end of each menu
seeall = "See All";

// set this to the location of your local css & im directories
cssdir = "/css";
imdir = "/im";

// sub menu width
mwidth = 150;

// array for all masthead menus
var navmenu = new Array();

// menus are organized using a two number decimel delineated system (1.2)
// the first number indicates which main topic link the menu belongs to.
// the second number indicates the order the sub topic link appears in the menu.

// the values for each item are then organized by a | delineated system (Link Name|URL)
// item X.0 MUST alway be the exact name of the main topic link as hardcoded in
// the masthead and must include a link that is the also the same.

// if the first main topic link was Products and it's URL was /products/ then then you
// would start the products menu with... 
//
// navmenu['1.0'] = 'Products|/products/';

// if the main topic link is not a link to another page, but simply the title of your
// menu (i.e. Select A Topic) then you would set the [X.0] item to "|". this way the
// See All Item is not created at the bottom of the menu. like...
//
// navmenu['1.0'] = '|';

navmenu['1.0'] = 'APIs|http://java.sun.com/reference/api/';
navmenu['1.1'] = 'Java SE|http://java.sun.com/reference/api/';
navmenu['1.2'] = 'Java EE|http://java.sun.com/javaee/reference/';
navmenu['1.3'] = 'Java ME|http://java.sun.com/javame/reference/apis.jsp';
navmenu['1.4'] = 'Java Card|http://java.sun.com/products/javacard/reference/docs/';
navmenu['1.5'] = 'Web Services|http://java.sun.com/webservices/reference/api/';
navmenu['1.6'] = 'Solaris|http://developers.sun.com/solaris/reference/docs/';
navmenu['1.7'] = 'Sun Studio Compilers|http://developers.sun.com/sunstudio/reference/docs/';

navmenu['2.0'] = 'Downloads|http://developers.sun.com/resources/downloads.html';
navmenu['2.1'] = 'Java SE|http://java.sun.com/javase/downloads/';
navmenu['2.2'] = 'Java EE|http://java.sun.com/javaee/downloads/';
navmenu['2.3'] = 'Java ME|http://java.sun.com/javame/downloads/';
navmenu['2.4'] = 'Solaris|http://developers.sun.com/solaris/downloads/';
navmenu['2.5'] = 'NetBeans|http://www.netbeans.org/downloads/index.html';
navmenu['2.6'] = 'Java Studio Enterprise|http://developers.sun.com/prodtech/javatools/jsenterprise/downloads/';
navmenu['2.7'] = 'Java Studio Creator|http://developers.sun.com/prodtech/javatools/jscreator/downloads/';
navmenu['2.8'] = 'Sun Studio Compilers|http://developers.sun.com/sunstudio/downloads/';
navmenu['2.9'] = 'Early Access|http://java.sun.com/downloads/ea/';

navmenu['3.0'] = 'Technologies|http://developers.sun.com/global/mh/tech/index.html';
navmenu['3.1'] = 'Java SE|http://java.sun.com/javase/';
navmenu['3.2'] = 'Java EE|http://java.sun.com/javaee/';
navmenu['3.3'] = 'Java ME|http://java.sun.com/javame/';
navmenu['3.4'] = 'Solaris|http://developers.sun.com/solaris/';
navmenu['3.5'] = 'Mobility|http://developers.sun.com/techtopics/mobility/';

navmenu['4.0'] = 'Products|http://developers.sun.com/global/mh/products/index.html';
navmenu['4.1'] = 'Java Studio Creator|http://developers.sun.com/prodtech/javatools/jscreator/';
navmenu['4.2'] = 'Java Studio Enterprise|http://developers.sun.com/prodtech/javatools/jsenterprise/';
navmenu['4.3'] = 'NetBeans Mobility Packs|http://developers.sun.com/prodtech/javatools/mobility/';
navmenu['4.4'] = 'Sun Studio Compilers|http://developers.sun.com/sunstudio/';
navmenu['4.5'] = 'Java Enterprise Systems|http://developers.sun.com/prodtech/devtools/javaes/';

navmenu['5.0'] = 'Support|http://developers.sun.com/services/';
navmenu['5.1'] = 'Forums|http://forum.java.sun.com/index.jspa';
navmenu['5.2'] = 'Developer Services|http://developers.sun.com/services/';
navmenu['5.3'] = 'Big Admin|http://www.sun.com/bigadmin/home/';

navmenu['6.0'] = 'Training|http://www.sun.com/training/';
navmenu['6.1'] = 'Certification|http://www.sun.com/training/certification/index.xml';
navmenu['6.2'] = 'Developer Training|http://www.sun.com/training/catalog/developer.xml';

navmenu['7.0'] = 'Sun.com|http://www.sun.com/';
navmenu['7.1'] = 'Products|http://www.sun.com/products/';
navmenu['7.2'] = 'Downloads|http://www.sun.com/download/';
navmenu['7.3'] = 'Services &amp; Solutions|http://www.sun.com/servicessolutions/';
navmenu['7.4'] = 'Support|http://sunsolve.sun.com/pub-cgi/show.pl?target=tous';
navmenu['7.5'] = 'Training|http://www.sun.com/training/';
navmenu['7.6'] = 'About Sun|http://www.sun.com/aboutsun/';

// oldmenu is an array used when changes to the A2 masthead HTML is made. since pages can
// exist that do not have the most current masthead HTML, but still link to the latest js 
// we can use this old menu information to allow the menucode.js script to insert legacy
// menu content for legacy masthead links.
//
// oldmenu items should be numbered as they once were when they were navmenu items.
// the only thing that changes is the array name. if you are using site specific
// links and you know that all changes to the masthead have been made to all of your
// pages you do not need to keep legacy menus in the oldmenu array.

oldmenu['6.0'] = 'Research|http://research.sun.com/';
oldmenu['6.1'] = 'Projects|http://research.sun.com/projects/';
oldmenu['6.2'] = 'Events|http://research.sun.com/events/';
oldmenu['6.3'] = 'Lab Downloads|http://research.sun.com/download/';

// these arrays control the flyout menus for the A1 component. there are three
// arrays that control these menus.
//
// a1menuwrap -> defines html code that makes the menu box, this should NOT be altered
//
// a1hrefs -> this array uses a value (e.g. 'javamenu') to identify it's contents. this value
//            is also used by the a1menus array and can be any value you want it to be, it just
//            needs to be unique for each menu. the value of this variable is an array. it should
//            contain the text of the link that you wish the menu to be attached to (e.g. new Array('Java');)
//            although 'Java' is only one value, an array is used in case there are other languages
//            pointing to this one file. in that case you could use something like
//            "new Array('Communities','Comunidades');" so the menu will attach to either of those links.
//
// a1menus -> this array defines the menu width and menu content. in the a1menus['javamenu'] variable
//            the first value of it's array is 180, which sets the width of the menu, the second value
//            is the menus content. each line return of this value must end with \ in order for you to use
//            multiple lines to define this value.

var a1menuwrap  = new Array('<div set_outerwidth class="a1menu" id="','">\n<div class="a1menux1" set_outerwidth></div>\n<div class="a1menuw1" set_width>\n','</div>\n<div class="a1menux2" set_outerwidth></div>\n</div>');

a1hrefs['javamenu'] = new Array('Java');
a1menus['javamenu'] = new Array(180,'\
<ul class="bluearrows">\
<li><a href="http://java.com/download/">Java for your computer</a></li>\
<li><a href="http://java.sun.com/javase/downloads/">Download the latest JDK</a></li>\
<li><a href="http://www.netbeans.org/downloads/index.html">Download NetBeans IDE</a></li>\
<li><a href="http://java.sun.com/">Java Developer Resources</a></li>\
<li><a href="http://developers.sun.com/prodtech/javatools/">Java Developer Tools</a></li>\
<li><a href="http://java.sun.com/javase/">Java Standard Edition</a></li>\
<li><a href="http://java.sun.com/javaee/">Java Enterprise Edition</a></li>\
<li><a href="http://java.sun.com/javame/">Java Micro Edition</a></li>\
<li><a href="http://java.sun.com/learning/training/">Java Training</a></li>\
<li><a href="http://developers.sun.com/services/">Java Support</a></li>\
</ul>\
');

a1hrefs['solarismenu'] = new Array('Solaris');
a1menus['solarismenu'] = new Array(280,'\
<ul class="bluearrows">\
<li><a href="http://developers.sun.com/prodtech/solaris/">Solaris</a><p>The most advanced Operating System on the planet.</p></li>\
<li><a href="http://developers.sun.com/prodtech/solaris/">Solaris Developer Resources</a><p>Find what you need at the Solaris developers center.</p></li>\
<li><a href="http://developers.sun.com/services/">Solaris Developer Services</a><p>Get dedicated Solaris support and more with Sun Developer Services.</p></li>\
<li><a href="http://www.sun.com/bigadmin/home/index.html">Solaris System Administrator Resources</a><p>Get all the Solaris information you need.</p></li>\
<li><a href="http://www.opensolaris.org">OpenSolaris</a><p>The OpenSolaris project is an open source community and a place for collaboration and conversation around OpenSolaris technology.</p></li>\
<li><a href="http://developers.sun.com/sunstudio/">Sun Studio</a><p>Industry-leading software tool that ensures high performon the Sparc-Solaris and Opteron-Solaris platforms.</p></li>\
</ul>\
');

a1hrefs['communitiesmenu'] = new Array('Communities');
a1menus['communitiesmenu'] = new Array(450,'\
<table style="background:transparent;"><tr><td style="width:50%;vertical-align:top;padding-right:10px;">\
<ul class="bluearrows">\
<li><a href="http://developers.sun.com">Communities @ SDN</a><p>Join the Sun Developer Network, a worldwide community of over 2 million developers, and get your BackStage Pass to technical information, developer tools, discounted books and training, and more.</p></li>\
<li><a href="http://www.sun.com/bigadmin/">System Administrators</a><p>Find online articles and participate in community forums on the BigAdmin portal.</p></li>\
<li><a href="http://www.sun.com/partners/">Sun Student Developers</a><p>The SDN Academic Developer Program offers you ready access to the tools, resources and communities in which to participate and share.</p> </li>\
<li><a href="http://www.java.net">Java.net</a><p>The central gathering place for Java technology enthusiasts and existing communities across industries, platforms, and interest groups.</p></li>\
<li><a href="http://developers.sun.com/techtopics/global/technology/open_source/">Open Source &amp; Collaboration</a><p>Sun is currently involved in a number of Open Source projects</p></li>\
</ul>\
</td><td style="width:50%;vertical-align:top;">\
<ul class="bluearrows">\
<li><a href="http://research.sun.com">Research</a><p>What\'s happening in Sunlabs?</p></li>\
<li><a href="http://www.sun.com/aboutsun/media/index.jsp">Java Technology</a><p>Find out what\'s happening with the Java  programming language -- in mobile devices, smart cards, and data centers.</p></li>\
<li><a href="http://developers.sun.com/usergroups/">User Groups</a><p>A user group is a collection of developers, IT Managers, system administrators, and anyone who shares a common interest in Java Technology or Sun Products.</p></li>\
<li><a href="http://developers.sun.com/newsletters/index.html">Newsletters</a><p>News and information including product announcements, early access release info, upcoming events, and the latest product and technology releases.</p></li>\
<li><a href="http://forum.java.sun.com/index.jspa">Forums</a><p>Find online articles and participate in community forums on the BigAdmin portal.</p></li>\
<li><a href="http://blogs.sun.com/">Sun Blogs</a><p>Join the conversation -- meet the people at Sun who are passionate about their jobs.</p></li>\
</ul>\
</td></tr></table>\
');
 
a1hrefs['accountmenu'] = new Array('My SDN Account');
a1menus['accountmenu'] = new Array(160,'\
<ul class="bluearrows">\
<li><a href="https://softwarereg.sun.com/registration/developer/en_US/update">Update My Profile</a></li>\
</ul>\
');

a1hrefs['joinmenu'] = new Array('Join SDN');
a1menus['joinmenu'] = new Array(160,'\
<ul class="bluearrows">\
<li><a href="https://softwarereg.sun.com/registration/developer/en_US/login?create=1">Join SDN Now</a></li>\
<li><a href="http://developers.sun.com/user_registration/whyregister.jsp">Why Join</a><p>Becoming an Sun Developer Network (SDN) member makes you part of a vibrant worldwide community of developers, and gives you access to cool stuff and exclusive offers.</p></li>\
</ul>\
');

 


